Announcement

Collapse
No announcement yet.

GD not installed - Imagemagick yes

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • GD not installed - Imagemagick yes

    We have a small problem. We cannot use the thumbnails or even the verification-system on vB 3. That's because there is no GD-library installed on our server - and it cannot be installed afterwards. Cause if we would do that, it would require to re-install a big production-server with hundreds of accounts, many databases, a mailserver and so on. We cannot take it offline. We cannot temporarly transfer everything to another machine. Converting it to a serversystem, which would allow better online-upgrades like Knoppix is a nearly impossible task.

    The problem is small, as vB 3 allows registrations even when the GD-library is not there. Only the thumbnails are not working, which isn't that nice but whatsoever.

    But: What is installed on our server is Imagemagick. Works perfectly with Photopost. Soooo, is there a possibility to use Imagemagick as a replacement for GD on vB 3?

  • #2
    Currently you can't.

    As for GD, all you have to do to get it is install the latest PHP 4.3.4 and give it the config option of --with-gd

    that's it.

    Comment


    • #3
      Can you explain more about how to do that? I installed 4.3.4 but have no GD support. DO I just reinstall? If so, when you say give it a config option of with-gd, what do you mean?

      BTW, I am installing the Windows Version.

      Comment


      • #4
        Never mind. I got that working. I noticed during the thumbnail rebuild a message that said:

        "Error: PHP Lacks GIF support"

        Should it support GIF?

        Shan

        Comment


        • #5
          PHP needfs to be compiled wth GD support. Is this a dedicated server? Have you ever compiled PHP before? If not, I suggest asking your web host to do this.
          Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
          Change CKEditor Colors to Match Style (for 4.1.4 and above)

          Steve Machol Photography


          Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


          Comment


          • #6
            This is my own dedicated server at my location. I am hosting it.

            It is a Windows Server 2003 box. Do I still need to compile it? I thought I just needed to install binaries. As I said, I have the GD support working...just not with Gif.

            Shan

            Comment


            • #7
              I have no idea how to do this on a Windows server. I suggest checking the PHP home page for this info:

              http://www.php.net
              Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
              Change CKEditor Colors to Match Style (for 4.1.4 and above)

              Steve Machol Photography


              Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


              Comment


              • #8
                Dude... To install GD on a Windows server all you have to do is uncomment one line and make sure the php_gd2.dll is in the extensions folder...

                In php.ini change:
                Code:
                ;extension=php_gd2.dll
                to
                Code:
                extension=php_gd2.dll
                Make sure php_gd2.dll is in your extension_dir (like "C:\PHP\extensions\")

                If it's not, you can find a copy here.

                Comment


                • #9
                  Originally posted by shan
                  Never mind. I got that working. I noticed during the thumbnail rebuild a message that said:

                  "Error: PHP Lacks GIF support"

                  Should it support GIF?

                  Shan
                  Many have asked whether gd will support reading and creating GIF files again, since we have passed June 20th, 2003, when the well-known Unisys LZW patent expired in the US. Although this patent has expired in the United States, this patent does not expire for another year in the rest of the world. Since I have no way of limiting distribution of GIF-reading-and-creating code to US users only that is guaranteed to please somebody else's lawyer, I have opted to follow the same policy that the ImageMagick authors are following: GIF support will not reappear in gd until the patent expires world-wide on July 7th, 2004. I realize this situation is frustrating for many; please direct your anger and complaints toward the questionable patent system that allows the patenting of such straightforward algorithms in the first place. Thank you!My problem is that all my gif images have gone !

                  Also all my attachements are now max 64 kb

                  Dont know why

                  Comment

                  widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                  Working...
                  X